@echo off
SETLOCAL EnableDelayedExpansion
echo %cmdcmdline% | findstr /i /c:"%~nx0" >NUL && set iscommandline=1
echo %PSModulePath% | findstr /i /c:"%USERPROFILE%" >NUL && set ispowershell=1
cd /D "%~dp0"

SET UserOutputPath=
IF NOT "%~1"=="" (
    SET OutputPath=-OutputPath "!UserOutputPath!"
)

@pwsh -NoProfile -ExecutionPolicy Bypass -Command .\scripts\build-deploy-package.ps1 !OutputPath!

IF DEFINED iscommandline IF NOT DEFINED ispowershell pause
ENDLOCAL